%define name drakx-installer-images
%define version 1.9
%define release %mkrel 1

%define mandriva_version %(rpm -q --queryformat '%{VERSION}-%{RELEASE}' mandriva-release)

Summary: DrakX installer images
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Development/Other
Url: http://wiki.mandriva.com/Tools/DrakX
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%ifarch %ix86 ppc
BuildRequires: kernel-legacy-2.6.17.13mdv
%endif
%ifarch %ix86 x86_64
BuildRequires: memtest86+
BuildRequires: grub
BuildRequires: syslinux
%endif
%ifarch ppc
BuildRequires: yaboot
%endif
BuildRequires: drakx-installer-binaries >= 1.7
BuildRequires: mandriva-theme
BuildRequires: pcmciautils
BuildRequires: perl-XML-Parser

BuildRequires: cdrkit-genisoimage
BuildRequires: mkdosfs-with-dir
BuildRequires: mknod-m600
BuildRequires: mtools

#- require the version used during build
Requires: mandriva-release = %mandriva_version

%description
images needed to build Mandriva installer (DrakX)

%prep
%setup -q

%build
make -C images

%install
rm -rf $RPM_BUILD_ROOT

dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
make -C images install ROOTDEST=$dest

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/%name


%changelog
* Tue Apr 03 2007 Pixel <pixel@mandriva.com> 1.9-1mdv2007.1
+ Revision: 150617
- new release, 1.9:
- include mmc_block for card readers

* Tue Mar 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.8-3mdv2007.1
+ Revision: 149204
- rebuild with latest kernel
- rebuild with latest stage2 (with mmc_block) (#29909)

* Fri Mar 23 2007 Pixel <pixel@mandriva.com> 1.8-1mdv2007.1
+ Revision: 148436
- new release, 1.8
- restore F1 & F2 in boot.iso (#29766)
- rebuild with drakx-installer-binaries 1.7

* Wed Mar 21 2007 Pixel <pixel@mandriva.com> 1.7-1mdv2007.1
+ Revision: 147438
- build with latest drakx-installer-binaries
- new release, 1.7
- restore F1 & F2 in boot.iso (#29766)

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 1.6-2mdv2007.1
+ Revision: 144803
- rebuild with latest kernel

* Wed Mar 14 2007 Olivier Blin <oblin@mandriva.com> 1.6-1mdv2007.1
+ Revision: 143561
- 1.6 (add tifm drivers)

* Fri Mar 09 2007 Pixel <pixel@mandriva.com> 1.5-2mdv2007.1
+ Revision: 138759
- force rebuild
- new release, 1.5
- copy isolinux images for x86_64 as well
- new release, 1.4
- restore vga= and automatic= default options.
  also restore noacpi, alt0, vgalo, vgahi, text entries
  (all this is needed when gfxboot is not working or not there)

* Wed Mar 07 2007 Olivier Blin <oblin@mandriva.com> 1.3-3mdv2007.1
+ Revision: 134181
- build with drakx-installer-binaries-1.5

* Mon Mar 05 2007 Pixel <pixel@mandriva.com> 1.3-2mdv2007.1
+ Revision: 133012
- rebuild with new kernel

  + Christiaan Welvaart <spturtle@mandriva.org>
    - fix bootloader buildrequires for ppc: yaboot instead of
      memtest86+, syslinux, and grub

* Fri Feb 16 2007 Pixel <pixel@mandriva.com> 1.3-1mdv2007.1
+ Revision: 121858
- build with new kernel
- new release, 1.3
- rely on gfxboot for options (vga=, automatic=...)
- really use memtest instead of memtest.bin
  (with file name "memtest.bin" it fails with error 8000, with "memtest" it works)
  (it seems to be an ancient bug as far as google says)
- use "make install" (and so images/* is install/images/*)

* Tue Jan 30 2007 Pixel <pixel@mandriva.com> 1.2-1mdv2007.1
+ Revision: 115332
- kernel-legacy only on ix86
- creation
- Create drakx-installer-images

